Bug 2050801 - Vsphere upi tries to access vsphere during manifests generation phase
Summary: Vsphere upi tries to access vsphere during manifests generation phase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.10.0
Assignee: Matthew Staebler
QA Contact: Wenxin Wei
URL:
Whiteboard:
Depends On: 2050767
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-04 17:18 UTC by OpenShift BugZilla Robot
Modified: 2022-03-10 16:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:43:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5608 0 None Merged [release-4.10] Bug 2050801: vsphere: check that network exist in provisioning validation 2022-02-27 06:20:16 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:43:45 UTC

Description OpenShift BugZilla Robot 2022-02-04 17:18:00 UTC
+++ This bug was initially created as a clone of Bug #2050767 +++

Thanks for opening a bug report!
Before hitting the button, please fill in as much of the template below as you can.
If you leave out information, it's harder to help you.
Be ready for follow-up questions, and please respond in a timely manner.
If we can't reproduce a bug we might close your issue.
If we're wrong, PLEASE feel free to reopen it and explain why.

Version:

$ openshift-install version
4.10.0-rc.0

Platform:

#Please specify the platform type: aws, libvirt, openstack or baremetal etc.
VMware vSphere 

Please specify:
UPI (semi-manual installation on customized infrastructure)

What happened?
Cannot install Openshift cluster using Assisted Service cloud solution.
https://qaprodauth.cloud.redhat.com/openshift/assisted-installer/clusters

The procedure stacked on error "2/3/2022, 5:09:01 PM warning Failed to prepare the installation due to an unexpected error: failed generating install config for cluster d3feaa8a-d855-4ca8-a0c8-5b3127535210: error running openshift-install manifests, level=fatal msg=failed to fetch Master Machines: failed to load asset "Install Config": platform.vsphere: Internal error: unable to connect to vCenter vcenterplaceholder.: Post "https://vcenterplaceholder/sdk": dial tcp: lookup vcenterplaceholder on 10.120.0.10:53: no such host : exit status 1. Please retry later"

More details Jira ticket  https://issues.redhat.com/browse/MGMT-9170

# Always at least include the `.openshift_install.log`

What did you expect to happen?

#Enter text here.

How to reproduce it (as minimally and precisely as possible)?

$ your-commands-here

Anything else we need to know?

#Enter text here.

--- Additional comment from yobshans@redhat.com on 2022-02-04 15:39:27 UTC ---

Works well with 4.9.* 

Probably it is related to 
https://github.com/openshift/installer/blob/release-4.10/pkg/asset/installconfig/vsphere/validation.go#L29-L32

Slack discussion 
https://coreos.slack.com/archives/CH06KMDRV/p1643926906572139

--- Additional comment from yobshans@redhat.com on 2022-02-04 15:40:38 UTC ---

Validation behavior has been changed from 4.9 to 4.10

--- Additional comment from mstaeble@redhat.com on 2022-02-04 16:18:25 UTC ---

I am lowering the severity of this. The installer does not support using an install-config.yaml with invalid values for the vCenter.

Comment 3 Wenxin Wei 2022-02-25 03:05:56 UTC
Reproduced the issue on 4.10.0-rc.0:

set invalid vcenter(dhcp-8-100-268.lab.eng.rdu2.redhat.com) in install-config.yaml:

commands:
./openshift-install create manifests --dir /home/fedora/wwxocp_upi/upi_0224/
FATAL failed to fetch Master Machines: failed to load asset "Install Config": platform.vsphere: Internal error: unable to connect to vCenter dhcp-8-100-268.lab.eng.rdu2.redhat.com.: Post "https://dhcp-8-100-268.lab.eng.rdu2.redhat.com/sdk": dial tcp: lookup dhcp-8-100-268.lab.eng.rdu2.redhat.com on 10.11.5.19:53: no such host 

verified on 4.10.0-0.nightly-2022-02-24-141514:

set invalid vcenter(dhcp-8-100-268.lab.eng.rdu2.redhat.com) in install-config.yaml:

commands:
./openshift-install create manifests --dir /home/fedora/wwxocp_upi/upi_0225
INFO Consuming Install Config from target directory 
INFO Manifests created in: /home/fedora/wwxocp_upi/upi_0225/manifests and /home/fedora/wwxocp_upi/upi_0225/openshift 


./openshift-install create ignition-configs --dir /home/fedora/wwxocp_upi/upi_0225
INFO Consuming OpenShift Install (Manifests) from target directory 
INFO Consuming Common Manifests from target directory 
INFO Consuming Openshift Manifests from target directory 
INFO Consuming Master Machines from target directory 
INFO Consuming Worker Machines from target directory 
INFO Ignition-Configs created in: /home/fedora/wwxocp_upi/upi_0225 and /home/fedora/wwxocp_upi/upi_0225/auth

Also checked that invalid network checking still works well during provisioning infrastructure for UPI installation.

./openshift-install create cluster --dir /home/fedora/wwxocp_upi/upi_0225
INFO Consuming Bootstrap Ignition Config from target directory 
INFO Consuming Master Ignition Config from target directory 
INFO Consuming Worker Ignition Config from target directory 
FATAL failed to fetch Terraform Variables: failed to fetch dependency of "Terraform Variables": failed to generate asset "Platform Provisioning Check": platform.vsphere: Internal error: unable to connect to vCenter dhcp-8-100-268.lab.eng.rdu2.redhat.com.: Post "https://dhcp-8-100-268.lab.eng.rdu2.redhat.com/sdk": dial tcp: lookup dhcp-8-100-268.lab.eng.rdu2.redhat.com on 10.11.5.19:53: no such host

Comment 6 errata-xmlrpc 2022-03-10 16:43:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.